
QGIS Application - Bug report #21008

Mesh layer does not work properly with OTF reprojection

2019-01-15 04:14 PM - Saber Razmjooei

Status: Open

Priority: Normal

Assignee: Peter Petrik

Category: Data Provider/MDAL

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28827

Description

I have the following datasets:

- Mesh layer (global coverage)

- Countries (shapefile)

It works well with the canvas projection set to the mesh projection. But with canvas set to 3857, the mesh shrinks to a small area and the

quantity disappears.

History

#1 - 2019-01-15 04:18 PM - Saber Razmjooei

- File 21008.zip added

Data attached

#2 - 2019-01-24 03:32 PM - Peter Petrik

right now the triangular mesh assumes that all vertices from original CRS can be transformed to map CRS. if this is not the case, the QGIS renderer is

confused since it has some vertices in map projection and some in original projection. To fix it , we would need to overcome the problem that the triangular

mesh can have more/less vertices than the original mesh and adjust the renderers accordingly

#3 - 2019-03-09 09:01 PM - Giovanni Manghi

- Priority changed from High to Normal

Files

3857.png 177 KB 2019-01-15 Saber Razmjooei

4326.png 556 KB 2019-01-15 Saber Razmjooei

21008.zip 2.5 MB 2019-01-15 Saber Razmjooei
